--Option Panel functions
function vexalarm_optionpanel_OnLoad()

	
	vexalarm.panel = {}
	vexalarm.panel.main = vexalarm.panel_main()
	vexalarm.panel.msgs = vexalarm.panel_msgs()
	vexalarm.panel.msgcontent = vexalarm.panel_msgcontent()
	vexalarm.panel.frame = vexalarm.panel_field()
	vexalarm.panel.sounds = vexalarm.panel_sounds()
	vexalarm.panel.spells2 = vexalarm.panel_spells(2)
	vexalarm.panel.spells3 = vexalarm.panel_spells(3)
	vexalarm.panel.spells4 = vexalarm.panel_spells(4)
	vexalarm.panel.spells5 = vexalarm.panel_spells(5)
	vexalarm.panel.spells6 = vexalarm.panel_spells(6)
	vexalarm.panel.show = vexalarm.panel_show()
	
	vexalarm_optionpanel = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm", "Vex Alarm")
	vexalarm_optionpanel_frame = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Frame Design", "VexA Frame Design", "Vex Alarm")
	vexalarm_optionpanel_sounds = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Sounds", "VexA Sounds", "Vex Alarm")
	vexalarm_optionpanel_show = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Show/Enable", "VexA Show/Enable", "Vex Alarm")
	vexalarm_optionpanel_msgs = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Message Settings", "VexA Message Settings", "Vex Alarm")
	vexalarm_optionpanel_msgcontent = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Message Content", "VexA Message Content", "Vex Alarm")
	vexalarm_optionpanel_spells = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Spells 'Buffs'", "VexA Spells 'Buffs'", "Vex Alarm")
	vexalarm_optionpanel_spells = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Spells 'Selfbuffs'", "VexA Spells 'Selfbuffs'", "Vex Alarm")
	vexalarm_optionpanel_spells = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Spells 'Grpbuffs'", "VexA Spells 'Grpbuffs'", "Vex Alarm")
	vexalarm_optionpanel_spells = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Spells 'Casts'", "VexA Spells 'Casts'", "Vex Alarm")
	vexalarm_optionpanel_spells = vexalarm.AceConfigDialog:AddToBlizOptions("VexA Spells 'Selfcasts'", "VexA Spells 'Selfcasts'", "Vex Alarm")
	
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm", vexalarm.panel.main, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Frame Design", vexalarm.panel.frame, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Sounds", vexalarm.panel.sounds, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Message Settings", vexalarm.panel.msgs, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Message Content", vexalarm.panel.msgcontent, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Spells 'Buffs'", vexalarm.panel.spells2, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Spells 'Selfbuffs'", vexalarm.panel.spells3, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Spells 'Grpbuffs'", vexalarm.panel.spells4, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Spells 'Casts'", vexalarm.panel.spells5, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Spells 'Selfcasts'", vexalarm.panel.spells6, {})
	vexalarm.AceConfig:RegisterOptionsTable("VexA Show/Enable", vexalarm.panel.show, {})
end

function vexalarm_dec2hex(r,g,b)
	if r == nil then r = 0 end
	if g == nil then g = 0 end
	if b == nil then b = 0 end
    return string.format("%02x%02x%02x", r*250, g*250, b*250)
end